Bug 890941 - [abrt] gedit-3.4.2-1.fc17: g_utf8_pointer_to_offset: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.4.2-1.fc17: g_utf8_pointer_to_offset: Process /usr/bin/gedit w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:10945d142f9d5ab3a9009752ddd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-31 04:29 EST by Chen_Min_Chin
Modified: 2013-08-01 06:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (1.75 KB, text/plain)
2012-12-31 04:29 EST, Chen_Min_Chin
no flags Details
File: environ (1.46 KB, text/plain)
2012-12-31 04:29 EST, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-31 04:29 EST, Chen_Min_Chin
no flags Details
File: backtrace (21.45 KB, text/plain)
2012-12-31 04:29 EST, Chen_Min_Chin
no flags Details
File: cgroup (127 bytes, text/plain)
2012-12-31 04:29 EST, Chen_Min_Chin
no flags Details
File: smolt_data (3.35 KB, text/plain)
2012-12-31 04:29 EST, Chen_Min_Chin
no flags Details
File: xsession_errors (93 bytes, text/plain)
2012-12-31 04:29 EST, Chen_Min_Chin
no flags Details
File: executable (14 bytes, text/plain)
2012-12-31 04:29 EST, Chen_Min_Chin
no flags Details
File: maps (29.26 KB, text/plain)
2012-12-31 04:29 EST, Chen_Min_Chin
no flags Details
File: dso_list (10.32 KB, text/plain)
2012-12-31 04:29 EST, Chen_Min_Chin
no flags Details
File: proc_pid_status (782 bytes, text/plain)
2012-12-31 04:29 EST, Chen_Min_Chin
no flags Details
File: open_fds (876 bytes, text/plain)
2012-12-31 04:29 EST, Chen_Min_Chin
no flags Details
File: var_log_messages (306 bytes, text/plain)
2012-12-31 04:30 EST, Chen_Min_Chin
no flags Details

  None (edit)
Description Chen_Min_Chin 2012-12-31 04:29:05 EST
Version-Release number of selected component:
gedit-3.4.2-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        gedit /home/chen/public_html/samplePage/userGroupResetPasswordAuthorities/index.php
crash_function: g_utf8_pointer_to_offset
kernel:         3.6.10-2.fc17.i686.PAE

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 g_utf8_pointer_to_offset at gutf8.c:410
: #1 pango_layout_line_x_to_index at pango-layout.c:4067
: #2 pango_layout_xy_to_index at pango-layout.c:1984
: #3 gtk_text_layout_get_iter_at_position at gtktextlayout.c:2654
: #4 gtk_text_layout_get_iter_at_pixel at gtktextlayout.c:2613
: #5 gtk_text_view_event at gtktextview.c:4391
: #6 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
: #7 g_type_class_meta_marshalv at gclosure.c:997
: #8 _g_closure_invoke_va at gclosure.c:840
: #11 gtk_widget_event_internal at gtkwidget.c:6277

Potential duplicate bug: 712538
Comment 1 Chen_Min_Chin 2012-12-31 04:29:08 EST
Created attachment 670740 [details]
File: core_backtrace
Comment 2 Chen_Min_Chin 2012-12-31 04:29:10 EST
Created attachment 670741 [details]
File: environ
Comment 3 Chen_Min_Chin 2012-12-31 04:29:12 EST
Created attachment 670742 [details]
File: limits
Comment 4 Chen_Min_Chin 2012-12-31 04:29:14 EST
Created attachment 670743 [details]
File: backtrace
Comment 5 Chen_Min_Chin 2012-12-31 04:29:16 EST
Created attachment 670744 [details]
File: cgroup
Comment 6 Chen_Min_Chin 2012-12-31 04:29:19 EST
Created attachment 670745 [details]
File: smolt_data
Comment 7 Chen_Min_Chin 2012-12-31 04:29:20 EST
Created attachment 670746 [details]
File: xsession_errors
Comment 8 Chen_Min_Chin 2012-12-31 04:29:23 EST
Created attachment 670747 [details]
File: executable
Comment 9 Chen_Min_Chin 2012-12-31 04:29:25 EST
Created attachment 670748 [details]
File: maps
Comment 10 Chen_Min_Chin 2012-12-31 04:29:27 EST
Created attachment 670749 [details]
File: dso_list
Comment 11 Chen_Min_Chin 2012-12-31 04:29:29 EST
Created attachment 670750 [details]
File: proc_pid_status
Comment 12 Chen_Min_Chin 2012-12-31 04:29:31 EST
Created attachment 670751 [details]
File: open_fds
Comment 13 Chen_Min_Chin 2012-12-31 04:30:31 EST
Created attachment 670752 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2013-07-03 23:14:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-08-01 06:35:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.